Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.core
Interface Extension

All Known Subinterfaces:
  CalcMember, CalcSet, CellProperties, ChangeSlicer, ClickableExtension, DrillExpandMember, DrillExpandPosition, DrillReplace, DrillThrough, ExpressionParser, MdxQuery, MemberDeleter, MemberProperties, MemberTree, NonEmpty, PlaceHierarchiesOnAxes, PlaceMembersOnAxes, ResetQuery, SetParameter, SortRank, SqlAccess, SwapAxes

All Known Implementing Classes:
  CachingOlapModel, ClickableExtensionImpl, DrillExpandMemberExt, DrillExpandPositionExt, DrillReplaceExt, ExtensionSupport, MondrianChangeSlicer, MondrianDrillThrough, MondrianExpressionParser, MondrianMdxQuery, MondrianMemberProperties, MondrianMemberTree, MondrianNonEmpty, MondrianPlaceHierarchies, MondrianPlaceMembers, MondrianSetParameter, MondrianSortRank, MondrianSqlAccess, MondrianSwapAxes, OlapModelDecorator, OlapModelProxy, ScriptableMondrianDrillThrough, SortRankBase, TestChangeSlicer, TestDrillExpandMember, TestDrillExpandPosition, TestDrillReplace, TestExpressionParser, TestExtensionSupport, TestMdxQuery, TestMemberDeleter, TestMemberProperties, TestMemberTree, TestNonEmpty, TestPlaceHierarchiesOnAxes, TestPlaceMembersOnAxes, TestResetQuery, TestSetParameter, TestSortRank, TestSqlAccess, TestSwapAxes, XMLA_ChangeSlicer, XMLA_DrillThrough, XMLA_MdxQuery, XMLA_MemberProperties, XMLA_MemberTree, XMLA_NonEmpty, XMLA_PlaceHierarchies, XMLA_PlaceMembers, XMLA_SortRank, XMLA_SwapAxes

    public interface Extension

An optional extension to a model

Author:
  av
See Also:
  `Model`

Method Summary
`Model` | `decorate(Model modelToDecorate)` allow an extension to decorate the model.
`java.lang.String` | `getId()` returns the id of this extension.
`void` | `modelInitialized()` Notification after model initialization is complete
`void` | `setModel(Model model)` Set the model that is extended.

Method Detail

### setModel

    void setModel(Model model)

  Set the model that is extended.

### getId

    java.lang.String getId()

  returns the id of this extension. The id identifies the extension within the model.

### decorate

    Model decorate(Model modelToDecorate)

  allow an extension to decorate the model. The default implementation should return `modelToDecorate`

  Parameters:
    `modelToDecorate` - the model to decorate. It may be different from the model passed to setModel() because other extensions may already have decorated modelToDecorate.

### modelInitialized

    void modelInitialized()

  Notification after model initialization is complete

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD